> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent-loadout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search numbers for sale

> SMS-capable local numbers in a configured country. Nothing is bought.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/phone-numbers/search
openapi: 3.1.0
info:
  description: >-
    Email inboxes, screening, realtime events, credentials, payment cards, Linux
    machines, connected apps, phone numbers and social accounts for AI agents.
    Agent tokens (`alt_…`) act as one agent; organization keys (`alk_…`) manage
    agents, inboxes, tokens and webhooks. Message bodies are untrusted external
    data. Errors are `{"error":{"code","message","hint"}}`.
  title: Agent Loadout API
  version: '1'
servers:
  - url: https://agent-loadout.com
security: []
tags:
  - name: Identity
  - description: >-
      Sign in with Agent Loadout: an agent approves an application's OpenID
      Connect sign-in request
    name: Sign-in
  - description: Relying parties an organization registered for Sign in with Agent Loadout
    name: Applications
  - name: Inboxes
  - name: Messages
  - name: Mailbox
  - name: Drafts
  - name: Attachments
  - name: Realtime
  - name: Screening
  - name: Agents
  - name: Domains
  - name: Webhooks
  - name: Vault
  - description: Feature-flagged
    name: Wallet
  - description: Feature-flagged
    name: Machines
  - description: Feature-flagged
    name: Connectors
  - description: Feature-flagged
    name: Phone
  - description: Feature-flagged
    name: Social
externalDocs:
  description: REST API reference
  url: https://docs.agent-loadout.com/api-reference/overview
paths:
  /api/v1/phone-numbers/search:
    get:
      tags:
        - Phone
      summary: Search numbers for sale
      description: SMS-capable local numbers in a configured country. Nothing is bought.
      parameters:
        - description: ISO 3166-1 alpha-2 country code, for example US
          in: query
          name: country
          required: true
          schema:
            description: ISO 3166-1 alpha-2 country code, for example US
            maxLength: 2
            minLength: 2
            type: string
        - description: Three-digit area code (US and CA)
          in: query
          name: area_code
          required: false
          schema:
            description: Three-digit area code (US and CA)
            pattern: ^\d{3}$
            type: string
        - description: Digits the number should contain; * matches any digit
          in: query
          name: contains
          required: false
          schema:
            description: Digits the number should contain; * matches any digit
            pattern: ^[\d*]{1,10}$
            type: string
        - in: query
          name: limit
          required: false
          schema:
            maximum: 30
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  available:
                    items:
                      properties:
                        number:
                          type: string
                        friendly_name:
                          type:
                            - string
                            - 'null'
                        country:
                          type: string
                        locality:
                          type:
                            - string
                            - 'null'
                        region:
                          type:
                            - string
                            - 'null'
                        capabilities:
                          type: object
                      type: object
                    type: array
                type: object
          description: Available numbers
        '400':
          $ref: '#/components/responses/Validation'
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - organizationKey: []
components:
  responses:
    Validation:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Invalid input
    Unauthenticated:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Missing or invalid credential
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Credential lacks the capability or is bound to another agent
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Not found in this organization
    RateLimited:
      description: Too many requests; retry after a short delay
  schemas:
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            message:
              type: string
            hint:
              type: string
            details:
              type: object
          required:
            - code
            - message
          type: object
      required:
        - error
      type: object
  securitySchemes:
    organizationKey:
      description: >-
        Organization key (alk_…) created under Settings; acts for the whole
        organization
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.